@echo off
setlocal EnableDelayedExpansion
title rcImport Translation Validator (c)2012 Bitsum Technologies
if "%~z0" NEQ "1830" (
	goto tampered
)
set root_dir=%~dp0
set strings_file=processlasso_strings.txt
set dat_file=checkdata.dat
if not exist "%strings_file%" (
	echo.
	echo  Drag here a folder containing your [%strings_file%].
	call:AskForDirectoryAndCopyStringsFile||goto end
)
if not exist "%dat_file%" (
	echo.
	echo  [%dat_file%] does not exist.
	goto end
)
if not exist "!root_dir!rcImport.exe" (
	echo.
	echo  rcImport executable not found.
)
copy/y "%dat_file%" "%dat_file:~0,-3%backup">nul 2>&1||(
	echo.
	echo  Unable to create backup of [%dat_file%].
	goto end
)
"!root_dir!rcImport.exe" "%dat_file%" "%strings_file%" /check
del /f /q "%dat_file%">nul 2>&1||(
	echo.
	echo  Unable to delete temporary file.
	goto end
)
move "%dat_file:~0,-3%backup" "%dat_file%">nul 2>&1||(
	echo.
	echo  Could not restore original [%dat_file%].
)
goto end
:AskForDirectoryAndCopyStringsFile
echo.
set ch=&set/p ch=Drag directory here  
if not exist "!ch!" (
	echo.
	echo  [!ch!] does not exist or is inaccessible
	goto AskForDirectoryAndCopyStringsFile
)
if not exist "!ch!\%strings_file%" (
	echo.
	echo  [!ch!]
	echo.
	echo  does not contain
	echo.
	echo  [%strings_file%]
	goto AskForDirectoryAndCopyStringsFile
)
set ch=!ch:"=!
set strings_path=!ch!\%strings_file%
copy/y "!strings_path!" "!root_dir!%strings_file%">nul 2>&1||(
	echo.
	echo  Could not copy
	echo.
	echo  [!strings_path!]
	echo.
	echo  to
	echo.
	echo  [!root_dir:~0,-1!]
	exit/b1
)
exit/b0
:tampered
echo.
echo  File has been modified. Download and run clean copy.
:end
for %%A in ( ch dat_file root_dir strings_file ) do set %%A=
echo.
echo  ^< Any key to exit ^>
pause>nul 2>&1